LINUX.ORG.RU

Audacity некорректно отображает кнопки в окне программы (Fedora 24, GNOME)

 , , ,


0

1

Суть проблемы кратко изложена в названии темы. Открываю Audacity, чтобы обрезать рингтон, но меню какое-то «обкусанное», кнопки либо исчезают при наведении курсора, либо вовсе пропадают. Выглядят эти глюки вот так: скриншот 1, скриншот 2.

Ещё один глюк. Хочу узнать версию Audacity, но не всё так просто:

[pushistiq@localhost ~]$ audacity --version

(Audacity:21422): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(Audacity:21422): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(Audacity:21422): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(Audacity:21422): Gtk-WARNING **: gtk_disable_setlocale() must be called before gtk_init()
[pushistiq@localhost ~]$ audacity -v

(Audacity:21425): GLib-GObject-WARNING **: cannot register existing type 'GdkDisplayManager'

(Audacity:21425): GLib-CRITICAL **: g_once_init_leave: assertion 'result != 0' failed

(Audacity:21425): GLib-GObject-CRITICAL **: g_object_new: assertion 'G_TYPE_IS_OBJECT (object_type)' failed

(Audacity:21425): Gtk-WARNING **: gtk_disable_setlocale() must be called before gtk_init()
[pushistiq@localhost ~]$
Впервые вообще вижу, что даже -v/--version не пашут. Уж как бы проги не глючили, но версию свою они в терминале всегда отображали, без сообщений об ошибках.

Перетащи борду с кнопками в верхнюю часть (как оно было по дефолту) или сбрось в дефолт.

Версию узнать: Help -> About

deep-purple ★★★★★ ()
Последнее исправление: deep-purple (всего исправлений: 1)

GLib-GObject-WARNING
GLib-CRITICAL

Это норма.

Попробуй поперетаскивать панельки.

anonymous ()
Ответ на: комментарий от deep-purple

Но, получается, терминальный способ узнать версию не работает... А перетаскивание панелек помогло — кнопки появились и всё заработало, кроме терминала (я про опции -v, --version). Отмечаю тему как решённую). Всем спасибо!

P.S. Вот и не знаю, багрепортить об этом или не надо? Вроде всё работает, как бы, кроме пустячка в терминале...

Desmond_Hume ★★★★★ ()

Секунды в дате, это же так важно. У gnome с gtk 2 многое по говеному выглядит.

ilipnitsky ★★★ ()

У меня версия в консоли показывается, кнопки тоже пропадают, но у меня не гномощель.

$ audacity --version
Audacity v2.1.2
Ну и как вариант, версию в консоли можно посмотреть в выводе dnf info audacity

Deleted ()
Ответ на: комментарий от Deleted

dnf info audacity выводит версию, которая доступна в репозитории (-иях, если их подключено несколько) на данный момент, но не текущую версию, установленную на компе. Может так случиться, допустим, у меня старая версия, а в репы пришла новая версия, но я давно не обновлял систему - в итоге, я не буду знать реальную версию установленного пакета). А что за дистр/DE у тебя? У меня --version не хочет ни в какую работать...

Desmond_Hume ★★★★★ ()

Баг уже больше двух месяцев висит, не понятно чем там вообще мэйнтейнер занят.

https://bugzilla.redhat.com/show_bug.cgi?id=1347053

Вообще ситуация смешная - васек, который в Федоре отвечает за сборку пакета, не удосужился прочитать инструкцию по сборке. Собрав пакет, видимо даже не разу не запустил. Вообще отлично. А из спеков этого непротестированного пакета бравые ребята из RPM Fusion собрали audacity-freeworld, с точно таким же багом. Причем все это выяснил чувак, изначально зарепортивший баг (и, видимо, уставший ждать), связавшись с разрабами Audacity.

Печальная, мягко говоря, история. Я вот сейчас думаю, в Федоре так безалаберно все пакеты собирают, или только некоторые?

anonymous ()
Ответ на: комментарий от Desmond_Hume

Да все норм у тебя. Как я понимаю, нужно просто wxWidgets пересобрать, с гтк2 вместо гтк3.

anonymous ()
Ответ на: комментарий от anonymous

Кстати, в CentOS нет такой бяки. Проверял в виртуалке - всё пашет идеально. Перешёл бы на центось, но боюсь древнего софта... Да и их гном какой-то чересчур древний, не все дополнения гнома работают. Надо будет как-нибудь проверить, как там ребята из Австралии, собрали корору (Korora) - всё слизали с федоры или всё пашет...)

Desmond_Hume ★★★★★ ()
Последнее исправление: Desmond_Hume (всего исправлений: 1)
Ответ на: комментарий от Desmond_Hume

Если пакет установлен, то он покажет информацию сначала для него, а потом уже того, что есть в репозитории.

У меня spin федоры с lxde. Но пользуюсь я i3.

Deleted ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.